Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class ElementStage<Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<Incoming,Outgoing>

All Implemented Interfaces:
  ElementDuct

Direct Known Subclasses:
  JoinStage, MergeStage, OperatorStage, SinkStage, SourceStage

    public abstract class ElementStage<Incoming,Outgoing>

extends Stage<Incoming,Outgoing>
implements ElementDuct

Field Summary
`protected Set<String>` | `branchNames`
`protected FlowElement` | `flowElement`
`protected FlowProcess` | `flowProcess`
`protected List<Scope>` | `incomingScopes`
`protected List<Scope>` | `outgoingScopes`
`protected TrapHandler` | `trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`ElementStage(FlowProcess flowProcess, FlowElement flowElement)`

Method Summary
`void` | `addIncomingScope(Scope incomingScope)`
`void` | `addOutgoingScope(Scope outgoingScope)`
`void` | `cleanup()`
`boolean` | `equals(Object object)`
`Set<String>` | `getBranchNames()`
`FlowElement` | `getFlowElement()`
`List<Scope>` | `getIncomingScopes()`
`protected Fields` | `getOutgoingFields()`
`List<Scope>` | `getOutgoingScopes()`
`protected void` | `handleException(Throwable exception, TupleEntry tupleEntry)`
`protected void` | `handleReThrowableException(String message, Throwable throwable)`
`int` | `hashCode()`
`boolean` | `hasTrapHandler()`
`void` | `setBranchNames(Set<String> branchNames)`
`void` | `setTrapHandler(TrapHandler trapHandler)`
`String` | `toString()`

Methods inherited from class cascading.flow.stream.Stage
`receive`

Methods inherited from class cascading.flow.stream.Duct
`bind, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### flowProcess

    protected final FlowProcess flowProcess

### flowElement

    protected final FlowElement flowElement

### branchNames

    protected Set<String> branchNames

### trapHandler

    protected TrapHandler trapHandler

### incomingScopes

    protected final List<Scope> incomingScopes

### outgoingScopes

    protected final List<Scope> outgoingScopes

Constructor Detail

### ElementStage

    public ElementStage(FlowProcess flowProcess,
                        FlowElement flowElement)

Method Detail

### getFlowElement

    public FlowElement getFlowElement()

  Specified by:
    `getFlowElement` in interface `ElementDuct`

### getIncomingScopes

    public List<Scope> getIncomingScopes()

  Specified by:
    `getIncomingScopes` in interface `ElementDuct`

### getBranchNames

    public Set<String> getBranchNames()

  Specified by:
    `getBranchNames` in interface `ElementDuct`

### setBranchNames

    public void setBranchNames(Set<String> branchNames)

  Specified by:
    `setBranchNames` in interface `ElementDuct`

### setTrapHandler

    public void setTrapHandler(TrapHandler trapHandler)

  Specified by:
    `setTrapHandler` in interface `ElementDuct`

### hasTrapHandler

    public boolean hasTrapHandler()

  Specified by:
    `hasTrapHandler` in interface `ElementDuct`

### addIncomingScope

    public void addIncomingScope(Scope incomingScope)

  Specified by:
    `addIncomingScope` in interface `ElementDuct`

### getOutgoingScopes

    public List<Scope> getOutgoingScopes()

  Specified by:
    `getOutgoingScopes` in interface `ElementDuct`

### addOutgoingScope

    public void addOutgoingScope(Scope outgoingScope)

  Specified by:
    `addOutgoingScope` in interface `ElementDuct`

### getOutgoingFields

    protected Fields getOutgoingFields()

### cleanup

    public void cleanup()

  Overrides:
    `cleanup` in class `Duct<Incoming,Outgoing>`

### handleReThrowableException

    protected void handleReThrowableException(String message,
                                              Throwable throwable)

### handleException

    protected void handleException(Throwable exception,
                                   TupleEntry tupleEntry)

### equals

    public final boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Duct<Incoming,Outgoing>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.